/* CSS Reset */
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	font-family: 'Open Sans', sans-serif;
}

/* Navigation Bar */
/* 1rem = 16px */
nav {
	/* Creates a space between ul tag and the nav element */ 
	padding: 0.8rem;
	/* Creates space between nav and intro section	*/
	margin-bottom: 2rem;
	border-bottom: 1px solid gray;
	list-style-type: none;
}

/* margin is best used to create space between elements */
/* padding is best used when creating space between an elements border and its content */

nav .nav, nav .nav-logo {
	/* Creates a space between the ul and the nav elements	*/
	margin: 0.5rem;
	/* changes elements to inline elements	*/
	display: inline;
}

#intro {
	/* Creates a space between the contents of the intro section and its border	*/
	padding: 2rem 10% 3rem 10%;
	text-align: center;
}

.header {
	/* Best used when horizontally aligning text instead of using margin and padding */
	text-align: center;
}

#intro h2, #intro p {
	/* Creats space between the contents of the intro section */
	margin-bottom: 1rem;
}

#intro button {
	color: white;
	/* Changes the thickness of text */
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	/* Creates space between the button text and the border */
	padding: 1rem;
}

/* Succeed Info Section */
#succeed-info {
	padding: 2rem 10% 3rem 10%;
}

#succeed-info h2 {
	/* Creates space between the header and the card section */
	margin-bottom: 2rem;
}

#succeed-info h3 {
	text-align: left;
	/* Creates space between the h3 tags and the paragraph tags */
	margin-bottom: 1rem;
}

#succeed-info .card {
	display: block;
	margin-bottom: 1rem;
}

#pre-footer > div {
	display: inline-block;
	justify-content: space-between;
	text-align: top;
	margin-right: 10%;
	width: auto;
	padding:1rem;
	color: white;
}

#pre-footer > div p, #pre-footer div h3 {
	padding: .25rem;
}
 
#pre-footer {
	background-color: rgb(0, 0, 75);
}

footer {
	padding: 1rem 0 1rem 1.5rem;
	background-color: whitesmoke;
}